Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.jmx.builder
[Groovy] Class JmxBeanExportFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.jmx.builder.JmxBeanExportFactory

    class JmxBeanExportFactory
    extends AbstractFactory

This factory returns a container node for all other nodes that are used to collect meta data for resources that are exported to the MBeanServer for management.

Supported syntax

         def jmx = new JmxBuilder()
         jmx.export(registrationPolicy:"replace|ignore|error") {*         bean(...)
    }*

registrationPolicy indicates how resources will be registered: "replace" - replaces existing bean,
"ignore" - ignores the registration request if bean already exists.
"error" - throws error if bean is already registered.

Authors:
  vladimir vivien

Property Summary
`java.lang.Object` | `registrationPolicy`

Method Summary
`boolean` | `isLeaf()`
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object nodeName, java.lang.Object nodeArgs, java.util.Map nodeAttribs)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map nodeAttribs)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### registrationPolicy

    java.lang.Object registrationPolicy

Method Detail

### isLeaf

    boolean isLeaf()

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object nodeName, java.lang.Object nodeArgs, java.util.Map nodeAttribs)

### onHandleNodeAttributes

    boolean onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map nodeAttribs)

Groovy Documentation